Jupiter ERP
Account API

Create TaskGroups

/api/account/task-groups

POSTHTTP
post/api/account/task-groups

Example request

POST https://api.jupiter-erp.com/api/account/task-groups

Code
curl -X POST 'https://api.jupiter-erp.com/api/account/task-groups' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "ordering": 0,
  "entity_type": "string",
  "entity_id": 0
}'

Request body

Optional

FieldTypeDescription
entity_id*integer
entity_type*string
name*string
orderinginteger
Example request
{
  "name": "string",
  "ordering": 0,
  "entity_type": "string",
  "entity_id": 0
}

Responses

201Created
FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
entityobject
FieldTypeDescription
idinteger
namestring
entity_idinteger
entity_typestring
id*integer
name*string
orderinginteger
tasks_countinteger
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "name": "string",
  "ordering": 0,
  "entity_type": "string",
  "entity_id": 0,
  "entity": {
    "id": 0,
    "name": "string"
  }
}
TaskGroups

Questions about integration?

POST /api/account/task-groups · Jupiter ERP